# DescribePortTraffic

## 1. API Description

This API is used to query port bandwidth information in the specified date range.

## 2. Input Parameters

The following request parameter list only provides API request parameters.

<table><thead><tr><th width="198.07236842105266">Parameter Name</th><th width="112">Required</th><th width="117">Type</th><th>Description</th></tr></thead><tbody><tr><td>portId</td><td>Yes</td><td>String</td><td>Port ID.</td></tr><tr><td>startTime</td><td>Yes</td><td><a href="../../../api-introduction/instruction/datatype">Timestamp</a></td><td><p>Start time.</p><p>Use UTC time according to the ISO8601 standard. Format: <code>YYYY-MM-DDThh:mm:ssZ</code>.</p></td></tr><tr><td>endTime</td><td>Yes</td><td><a href="../../../api-introduction/instruction/datatype">Timestamp</a></td><td><p>End time.</p><p>Use UTC time according to the ISO8601 standard. Format: <code>YYYY-MM-DDThh:mm:ssZ</code>.</p></td></tr></tbody></table>

## 3. Output Parameters

<table><thead><tr><th width="201.784544233688">Parameter Name</th><th width="186.97126156843643">Type</th><th>Description</th></tr></thead><tbody><tr><td>requestId</td><td>String</td><td>The unique request ID, which is returned for each request. RequestId is required for locating a problem.</td></tr><tr><td>dataList</td><td>Array of <a href="../../datastructure#trafficdata">TrafficData</a></td><td>List of bandwidth data.</td></tr><tr><td>in95</td><td>Float</td><td>Inbound burstable 95th bandwidth.</td></tr><tr><td>inAvg</td><td>Integer</td><td>Average value of inbound bandwidth.</td></tr><tr><td>inMax</td><td>Integer</td><td>Maximum value of inbound bandwidth.</td></tr><tr><td>inMin</td><td>Integer</td><td>Minimum value of inbound bandwidth.</td></tr><tr><td>inTotal</td><td>Integer</td><td>Total data transfer of inbound bandwidth.</td></tr><tr><td>out95</td><td>Integer</td><td>Outbound burstable 95th bandwidth.</td></tr><tr><td>outAvg</td><td>Integer</td><td>Average value of outbound bandwidth.</td></tr><tr><td>outMax</td><td>Integer</td><td>Maximum value of outbound bandwidth.</td></tr><tr><td>outMin</td><td>Integer</td><td>Minimum value of outbound bandwidth.</td></tr><tr><td>unit</td><td>String</td><td>Unit of bandwidth. For example, <code>bps</code>.</td></tr></tbody></table>

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**Query the bandwidth information of the instance in one day.**

```
POST /api/v2/sdn HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribePortTraffic
<Common Request Params>

Request: {
    "portId": "port-port-id"
    "startTime": "YYYY-MM-DDThh:mm:ssZ"
    "endTime": "YYYY-MM-DDThh:mm:ssZ"
}

Response: 
{
  "requestId": "T4C35327C-7B13-47B8-A815-5E5213D4A9F9",
  "response": {
    "requestId": "T4C35327C-7B13-47B8-A815-5E5213D4A9F9",
    "dataList": [
      {
        "in": 873034,
        "out": 11971,
        "time": "2023-01-01T00:00:00Z"
      },
      {
        "in": 873034,
        "out": 11971,
        "time": "2023-01-01T00:05:00Z"
      },
      {
        "in": 635218,
        "out": 9028,
        "time": "2023-01-01T00:10:00Z"
      }
    ],
    "in95": 873034,
    "inAvg": 793762,
    "inMax": 873034,
    "inMin": 635218,
    "out95": 11971,
    "outAvg": 10990,
    "outMax": 11971,
    "outMin": 9028,
    "unit": "bps"
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](https://docs.console.zenlayer.com/api-reference/api-introduction/toolkit/api-sdk) to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

No error codes related to the API business logic. For other error codes, see [Common Error Codes](https://docs.console.zenlayer.com/api-reference/api-introduction/instruction/commonerrorcode).​
